using ryCommon;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace 开发辅助工具
{
    static class Program
    {
        /// <summary>
        /// 应用程序的主入口点。
        /// </summary>
        [STAThread]
        static void Main(string[] args)
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            if (args.Length >= 2)
            {
                if (args[0] == "ver")
                {
                    string ProjectDir = args[1];
                    Manager.RyProject.UpdateVer(ProjectDir.Trim('"') + "\\Properties\\AssemblyInfo.cs");
                }
                else if (args[0] == "get")
                {
                    string ProjectPath = args[1];
                    Application.Run(new Form1(ProjectPath,"get"));
                }
                else if (args[0] == "open")
                {
                    string ProjectPath = args[1];
                    Application.Run(new Form1(ProjectPath,"open"));
                }
            }
            else
            {
                Application.Run(new Form1("",""));
            }
        }
    }
}
